/** 
 * @Title: Keyword.java 
 * @Package com.zhiweidata.bjfzxWebapp.entity 
 * @Description: TODO(用一句话描述该文件做什么) 
 * @author xuyimeng 
 * @date 2018年2月6日 上午10:25:27 
 * @version V1.0 
 */ /**
 * 
 */
package com.zhiweidata.bjfzxWebapp.entity;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

/** 
 * @ClassName: Keyword 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author xuyimeng 
 * @date 2018年2月6日 上午10:25:27  
 */
@Document(collection = "keyword")
public class Keyword {
	@Id
	private String id ;
	@Indexed
	private String keyword;
	private String createTime;
	private int isShield ; //是否屏蔽 0非1是
	private String groupName; //服务对象（北京副中心，缺陷产品信息。。。）
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getKeyword() {
		return keyword;
	}
	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public int getIsShield() {
		return isShield;
	}
	public void setIsShield(int isShield) {
		this.isShield = isShield;
	}
	public String getGroupName() {
		return groupName;
	}
	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}
	@Override
	public String toString() {
		return "Keyword [id=" + id + ", keyword=" + keyword + ", createTime=" + createTime + ", isShield=" + isShield
				+ ", groupName=" + groupName + "]";
	}
	
	
}
